/*
 * blancoStruts 内で利用される業務例外クラス。
 * ※このクラスはblancoStrutsの自動生成の対象ではありません。
 * @since 2005/03/26
 */
package blancostruts.exception;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;

/**
 * blancoStruts <br>
 * blancoStruts内で発生する業務例外クラス。 <br>
 * ※このクラスはblancoStrutsの自動生成の対象ではありません。
 * 
 * @since 2005/03/26
 * @author HiromuUchibayashi
 */
public class BusinessException extends ValidateException {

    /**
     * blancoStrutsの業務例外インスタンスを生成します。
     * 
     * @param errors
     *            ActionErrorsを設定します。
     */
    public BusinessException(ActionErrors errors) {
        super(errors);
    }

    /**
     * blancoStrutsの業務例外インスタンスを生成します。
     * 
     * @param error
     *            ActionErrorを設定します。
     */
    public BusinessException(ActionError error) {
        super(error);
    }

    /**
     * blancoStrutsの業務例外インスタンスを生成します。
     * 
     * @param message
     *            メッセージを設定します。
     * @param errors
     *            ActionErrorsを設定します。
     */
    public BusinessException(String message, ActionErrors errors) {
        super(message, errors);
    }

    /**
     * blancoStrutsの業務例外インスタンスを生成します。
     * 
     * @param messageId
     *            エラーメッセージのメッセージID
     */
    public BusinessException(String messageId) {
        super(messageId);
    }
}